<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="Author" content="Todd Riggins">
   <meta name="GENERATOR" content="Mozilla/4.61 [en] (Win98; I) [Netscape]">
   <title>EXOTICA: MEDIA PLAYER</title>
</head>
<body background="images/exotica_bg.gif" bgcolor="#000000" text="#ffffff">
<center>
<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="maroon"><font size=+2>
<a NAME="AVI"></a>EXOTICA: MEDIA PLAYER
</font></font></b></center></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
In order to hear Media sound, currently, you must not have DIRECTSOUND initialized with the DSOUND_INIT function.
When viewing a Movie with EXOTICA, you can't have the SURFACE_FLIP function flipping the surface buffers. It will
display undesirable effects if you do. Also, to make the mouse not show up, just call the
DINPUT_INIT and MOUSE_INIT routines in your initialization code. See the <i>Play_AVI</i>
example for an example of this.<p>     
You must close the Media window when finished to restore DirectDraws surfaces. If you plan on
having in game Movie scenes, after closing any Media window, you have to reload your palette
and pictures. I'm assumming that for now, since I haven't actually tested it that far yet.
But the logic says you need to restore graphics and any 8-bit palette you may have.<p>
Also note that you can only load and play one Media at a time.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><center><b><font color="black">
Contents<p>
8 routines<p>
<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_media.html#CREATE_MEDIA_WINDOW">CREATE_MEDIA_WINDOW</A><br>
<A href="e_media.html#CLOSE_MEDIA">CLOSE_MEDIA</A><br>
<A href="e_media.html#SET_MEDIA_WINDOWPOS">SET_MEDIA_WINDOWPOS</A><br>
<A href="e_media.html#CENTER_MEDIA_WINDOW">CENTER_MEDIA_WINDOW</A><br>
<A href="e_media.html#CLOSE_MEDIA_WINDOW">CLOSE_MEDIA_WINDOW</A><br>
<A href="e_media.html#OPEN_MEDIA">OPEN_MEDIA</A><br>
<A href="e_media.html#MOD_NEXTPOS">PLAY_MEDIA</A><br>
<A href="e_media.html#IS_MEDIA_READY">IS_MEDIA_READY</A><br>
</font></b></td></tr>
</table>
</font></b></center></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CREATE_MEDIA_WINDOW"></a><center><font color="Maroon">CREATE_MEDIA_WINDOW</font></center>
<hr WIDTH="100%">
C: int CREATE_MEDIA_WINDOW( void ) <br>
<hr WIDTH="100%">
Euphoria Function: c_func(CREATE_MEDIA_WINDOW,{NULL}) <br>
<hr WIDTH="100%">
Description: Creates an invisible window for the media to be played in. <br>
<hr WIDTH="100%">
Results:<br>
0 = successful<br>
1 = failure - unable to open window<br>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CLOSE_MEDIA"></a><center><font color="Maroon">CLOSE_MEDIA</font></center>
<hr WIDTH="100%">
C: void CLOSE_MEDIA( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CLOSE_MEDIA,{NULL}) <br>
<hr WIDTH="100%">
Description: Releases the media file loaded. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="SET_MEDIA_WINDOWPOS"></a><center><font color="Maroon">SET_MEDIA_WINDOWPOS</font></center>
<hr WIDTH="100%">
C: void SET_MEDIA_WINDOWPOS( DWORD X_Pos, DWORD Y_Pos ) <br> 
<hr WIDTH="100%">
Euphoria Procedure: c_proc(SET_MEDIA_WINDOWPOS,{ X_Pos, Y_Pos}) <br> 
<hr WIDTH="100%">
Description: Sets the media to a specific X,Y location on the screen. <p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CENTER_MEDIA_WINDOW"></a><center><font color="Maroon">CENTER_MEDIA_WINDOW</font></center>
<hr WIDTH="100%">
C: void CENTER_MEDIA_WINDOW( void ) <br> 
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CENTER_MEDIA_WINDOW,{NULL}) <br> 
<hr WIDTH="100%">
Description: Centers the media window in the middle of the screen.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="CLOSE_MEDIA_WINDOW"></a><center><font color="Maroon">CLOSE_MEDIA_WINDOW</font></center>
<hr WIDTH="100%">
C: void CLOSE_MEDIA_WINDOW( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(CLOSE_MEDIA_WINDOW,{NULL}) <br>
<hr WIDTH="100%">
Description: Close the media window.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="OPEN_MEDIA"></a><center><font color="Maroon">OPEN_MEDIA</font></center>
<hr WIDTH="100%">
C: void OPEN_MEDIA( char *Filename ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(OPEN_MEDIA,{Filename}) <br>
<hr WIDTH="100%">
Description: Loads a media file to be played.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="PLAY_MEDIA"></a><center><font color="Maroon">PLAY_MEDIA</font></center>
<hr WIDTH="100%">
C: void PLAY_MEDIA( void ) <br>
<hr WIDTH="100%">
Euphoria Procedure: c_proc(PLAY_MEDIA,{NULL}) <br>
<hr WIDTH="100%">
Description: Plays the loaded media file.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =1 CELLSPACING=0 CELLPADDING=0 WIDTH="90%" bgcolor="#888888" bordercolor="red">
<tr><td><b><font color="black">
<a NAME="IS_MEDIA_READY"></a><center><font color="Maroon">IS_MEDIA_READY</font></center>
<hr WIDTH="100%">
C: int IS_MEDIA_READY( void ) <br>
<hr WIDTH="100%">
Euphoria Function: c_func(IS_MEDIA_READY,{NULL}) <br>
<hr WIDTH="100%">
Description: Returns a 1 if the media is playing. Returns a 0 if the media is not playing.<p>
</font></b></td></tr>
</table>
<br>

<table BORDER =4 CELLSPACING=0 CELLPADDING=0 bgcolor="#CCCCCC" bordercolor="red">
<tr><td><b><font color="black">
<A href="e_api.html">API MAIN PAGE</A><br>
</font></b></td></tr>
</table>
<br>

</center>
</body>
</html>
